Bug 621130 - Trace back recorded in rhsm log if try to register with invalid cert or without cert
Trace back recorded in rhsm log if try to register with invalid cert or witho...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager (Show other bugs)
6.1
All Linux
low Severity medium
: rc
: ---
Assigned To: Bryan Kearney
wes hayutin
:
Depends On:
Blocks: 568421
  Show dependency treegraph
 
Reported: 2010-08-04 06:52 EDT by spandey
Modified: 2015-04-23 19:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 09:41:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description spandey 2010-08-04 06:52:57 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
100%

Prerequisites
Candlepin : candlepin1.devlab.phx1.redhat.com
Client : Rhel6 client with sm version 74

Steps to repro : 
Login to client console 
install latest sm version 74 
Do not enter the path of ca.crt file in rhsm.conf.
Execute registration command using user tmgedp 

Expected Result : 
Registration process should fail and error should record in rhsm.log 

Actual Result : 
Traceback error is getting recorded in rhsm.log.

2nd scenario 
enter standalone cert path for candlepin1 in rhsm.conf file  .
execute registration command 

Result : 
Traceback error is getting recorded in rhsm.log file
Comment 2 RHEL Product and Program Management 2010-08-04 07:27:51 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 3 Ajay Kumar Nadathur Sreenivasan 2010-09-01 13:19:47 EDT
spandey,
   Can you clarify whether the register command executes successfully? Traceback being recorded/not recorded in the log file is not relevant.
Comment 4 spandey 2010-09-01 15:16:14 EDT
Hi Ajay 

Registration process is getting failed .

I mean to say rhsm.log should display proper error message 

any traceback should not recorded in rhsm.log 

Any log should be in proper format , it should not contain exception or traceback 

Please le me know if i am wrong
Comment 5 Ajay Kumar Nadathur Sreenivasan 2010-09-02 11:03:57 EDT
Hi Sachin,
       Okay. First, let us view the sequence of steps executed along with the log file. Then we can decide whether its a bug or not. And log files are meant to have all the information messages, tracebacks etc ... so that ,when a customer faces some problems, he can send the developers the exception trace(s) which will help us(developers) fix it.
Comment 6 spandey 2010-09-02 11:37:51 EDT
Hi Ajay 

What i mean to say is on place of trace proper error message should recorded in rhsm.log

which should contain complete info for failure 

i think we have option to convert trace or exception in to message
Comment 7 spandey 2010-09-02 13:17:41 EDT
be getting set to the same value)
<spandey> <spandey> just i want to say trace should not display in rhsm.log
<spandey> <nadathur> why ?
<spandey> <nadathur> without the traces how can we fix bug?
<spandey> <spandey> on place of traceback we should have proper error msg
<spandey> <nadathur> that is on the console
<spandey> <nadathur> when I run some command I can show some error message to the client
<spandey> <spandey> same it should be in rhsm.log 
<spandey> <nadathur> but the traces should be logged so that future sessions can fix it
<spandey> <nadathur> okay let us take this to #candlepin and see what folks say about this
<spandey> <spandey> ok
<jsefler> dgoodwin: when creating a user with the ruby client cpc create_owner <name>    The name is the key
<dgoodwin> nadathur: spandey: seems like client should *show* error mesage, logs should contain stack trace



discuss with Ajay and Devan 

iam closing defect
Comment 9 errata-xmlrpc 2011-05-19 09:41:57 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0611.html

Note You need to log in before you can comment on or make changes to this bug.